package com.ruoyi.project.training.elearn.service;

import java.util.List;
import com.ruoyi.project.training.elearn.domain.TElPaper;
import com.ruoyi.project.training.elearn.domain.TElPaperQu;

/**
 * 在线考试Service接口
 *
 * @author ssy
 * @date 2024-05-29
 */
public interface ITElPaperService
{
    /**
     * 查询在线考试
     *
     * @param paperId 在线考试ID
     * @return 在线考试
     */
    public TElPaper selectTElPaperById(Long paperId);

    /**
     * 查询在线考试列表
     *
     * @param tElPaper 在线考试
     * @return 在线考试集合
     */
    public List<TElPaper> selectTElPaperList(TElPaper tElPaper);

    /**
     * 新增在线考试
     *
     * @param tElPaper 在线考试
     * @return 结果
     */
    public int insertTElPaper(TElPaper tElPaper);

    /**
     * 修改在线考试
     *
     * @param tElPaper 在线考试
     * @return 结果
     */
    public int updateTElPaper(TElPaper tElPaper);

    /**
     * 批量删除在线考试
     *
     * @param paperIds 需要删除的在线考试ID
     * @return 结果
     */
    public int deleteTElPaperByIds(Long[] paperIds);

    /**
     * 删除在线考试信息
     *
     * @param paperId 在线考试ID
     * @return 结果
     */
    public int deleteTElPaperById(Long paperId);

    TElPaper createPaper(TElPaper tElPaper, Long userId);

    void fillAnswer(TElPaperQu paperQu);

    void handExam(TElPaperQu paperQu);

    TElPaper paperResult(TElPaperQu paperQu);
}
